package jp.sourceforge.glad.collection.exception;

public class ContinueException extends ControlException {

    private static final long serialVersionUID = 1L;

    final Object label;

    public ContinueException() {
        this(null);
    }

    public ContinueException(Object label) {
        this.label = label;
    }

    public Object getLabel() {
        return label;
    }

    @Override
    public String toString() {
        if (label == null) {
            return "continue";
        } else {
            return "continue " + label;
        }
    }

}
